Genes Coding Variants Scores
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/coding-variants/scoresimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/coding-variants/scores"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/coding-variants/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"protein_change": {
"protein_id": "<string>",
"protein_name": "<string>",
"transcript_id": "<string>",
"hgvsp": "<string>",
"aapos": 123,
"ref": "<string>",
"alt": "<string>"
},
"variants": [
{
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
},
"scores": [
{
"method": "<string>",
"score": 123,
"source_url": "<string>",
"files_filesets": "<string>"
}
]
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes Coding Variants Scores
Retrieve scores and predictions of associated coding variants for one specific gene.
At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
DUAL-IPA:
query by gene identifier
- gene_name = ACSF3
- method = DUAL-IPA
ESM-1v:
query by gene identifier
- gene_id = ENSG00000121410
- method = ESM-1v
MutPred2:
query by gene identifier
- gene_id = ENSG00000196584
- method = MutPred2
SGE:
query by gene identifier
- gene_id = ENSG00000139618
- method = SGE
VAMP-seq:
query by gene identifier
- gene_id = ENSG00000165841
- method = VAMP-seq
Genes Coding Variants Scores
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/coding-variants/scoresimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/coding-variants/scores"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/coding-variants/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"protein_change": {
"protein_id": "<string>",
"protein_name": "<string>",
"transcript_id": "<string>",
"hgvsp": "<string>",
"aapos": 123,
"ref": "<string>",
"alt": "<string>"
},
"variants": [
{
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
},
"scores": [
{
"method": "<string>",
"score": 123,
"source_url": "<string>",
"files_filesets": "<string>"
}
]
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
DUAL-IPA, ESM-1v, MutPred2, SGE, VAMP-seq